> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# WOEID별 트렌드

> Trends by WOEID 엔드포인트는 특정 지리적 위치에 대한 트렌드 주제를 반환합니다. trends by woeid를 다루는 X API v2 표준 계층에 대한 참고 자료입니다.

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Trends by WOEID 엔드포인트는 Yahoo! Where On Earth ID (WOEID)로 식별되는 특정 지리적 위치의 트렌드 주제를 반환합니다.

## 개요

<CardGroup cols={2}>
  <Card title="위치별" icon="location-dot">
    지원되는 모든 위치의 트렌드
  </Card>

  <Card title="전 세계 커버리지" icon="globe">
    국가, 도시, 지역
  </Card>

  <Card title="실시간" icon="bolt">
    현재 트렌드 주제
  </Card>
</CardGroup>

***

## 엔드포인트

| Method | Endpoint                                                      | 설명              |
| :----- | :------------------------------------------------------------ | :-------------- |
| GET    | [`/2/trends/by/woeid/:id`](/x-api/trends/get-trends-by-woeid) | WOEID로 트렌드 가져오기 |

***

## 일반적인 WOEID

| 위치     | WOEID    |
| :----- | :------- |
| 전 세계   | 1        |
| 미국     | 23424977 |
| 영국     | 23424975 |
| 일본     | 23424856 |
| 뉴욕     | 2459115  |
| 로스앤젤레스 | 2442047  |
| 런던     | 44418    |
| 도쿄     | 1118370  |

***

## 예제 요청

```bash theme={null}
curl "https://api.x.com/2/trends/by/woeid/1" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

## 예시 응답

```json title="예시 응답" lines wrap icon="https://mintcdn.com/x-preview/Vn2KEkZaPF9LiPi3/icons/xds/icon-brackets.svg?fit=max&auto=format&n=Vn2KEkZaPF9LiPi3&q=85&s=ed2428e77bab43e57800e1a590e982fa" theme={null}
{
  "data": [
    {
      "trend_name": "#AI",
      "tweet_count": 250000
    },
    {
      "trend_name": "Breaking News",
      "tweet_count": 180000
    }
  ]
}
```

***

## 시작하기

<Note>
  **사전 요구 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/resources/fundamentals/developer-apps)
  * App의 [Bearer Token](/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="개인화된 트렌드" icon="https://mintcdn.com/x-preview/SxzTbJaLjs3MidH1/icons/xds/icon-person.svg?fit=max&auto=format&n=SxzTbJaLjs3MidH1&q=85&s=507a4bbcdcf5744bd18781508002e305" href="/x-api/trends/personalized-trends/introduction" width="24" height="24" data-path="icons/xds/icon-person.svg">
    인증된 사용자의 트렌드 가져오기
  </Card>

  <Card title="API 참조" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-code.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=488e23401b19225b89acc0136d242219" href="/x-api/trends/trends-by-woeid" width="24" height="24" data-path="icons/xds/icon-code.svg">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
